NativePosixUtil (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.NativePosixUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class NativePosixUtil

    java.lang.Object
      org.apache.lucene.store.NativePosixUtil

    public final class NativePosixUtil

extends Object

Field Summary
`static int` | `DONTNEED`
`static int` | `NOREUSE`
`static int` | `NORMAL`
`static int` | `RANDOM`
`static int` | `SEQUENTIAL`
`static int` | `WILLNEED`

Constructor Summary
`NativePosixUtil()`

Method Summary
`static void` | `advise(FileDescriptor fd, long offset, long len, int advise)`
`static int` | `madvise(ByteBuffer buf, int advise)`
`static FileDescriptor` | `open_direct(String filename, boolean read)`
`static int` | `posix_madvise(ByteBuffer buf, int advise)`
`static long` | `pread(FileDescriptor fd, long pos, ByteBuffer byteBuf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### SEQUENTIAL

    public static final int SEQUENTIAL

See Also:
  Constant Field Values

### RANDOM

    public static final int RANDOM

See Also:
  Constant Field Values

### WILLNEED

    public static final int WILLNEED

See Also:
  Constant Field Values

### DONTNEED

    public static final int DONTNEED

See Also:
  Constant Field Values

### NOREUSE

    public static final int NOREUSE

See Also:
  Constant Field Values

Constructor Detail

### NativePosixUtil

    public NativePosixUtil()

Method Detail

### posix_madvise

    public static int posix_madvise(ByteBuffer buf,
                                    int advise)
                             throws IOException

  Throws:
    `IOException`

### madvise

    public static int madvise(ByteBuffer buf,
                              int advise)
                       throws IOException

  Throws:
    `IOException`

### open_direct

    public static FileDescriptor open_direct(String filename,
                                             boolean read)
                                      throws IOException

  Throws:
    `IOException`

### pread

    public static long pread(FileDescriptor fd,
                             long pos,
                             ByteBuffer byteBuf)
                      throws IOException

  Throws:
    `IOException`

### advise

    public static void advise(FileDescriptor fd,
                              long offset,
                              long len,
                              int advise)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD